Bug 643395 - generic-logos is newer than fedora-logos ... resulting in wrong logos package being installed for Fedora 14
generic-logos is newer than fedora-logos ... resulting in wrong logos package...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-logos (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2010-10-15 09:45 EDT by James Laska
Modified: 2013-09-02 02:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: fedora-logos-14.0.1-500.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-19 05:13:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2010-10-15 09:45:18 EDT
Description of problem:

1 gdm requires 'system-logos' capability
2 'system-logos' is provided by
3 fedora-logos and generic-logos provide 'system-logos' capability

However, when installing with 'updates-testing' enabled, generic-logos is newer than fedora-logos.

I know that this is okay for now since generic-logos is only available in updates-testing, but it will be moved into stable soon, and I believe we'll need to ensure that an equal NVR of fedora-logos is available so that yum chooses it over generic-logos?

Version-Release number of selected component (if applicable):

# repoquery -q --whatprovides system-logos
generic-logos-0:14.0.1-1.fc14.noarch
fedora-logos-0:14.0.0-1.fc14.noarch

How reproducible:

Steps to Reproduce:
1. Install F-14-TC1 
2. During install, enabled 'updates-testing' which includes https://admin.fedoraproject.org/updates/generic-logos-14.0.1-2.fc14,goddard-kde-theme-13.1.0-1.fc14,kde-settings-4.5-9.fc14,laughlin-kde-theme-14.0.0-1.fc14
3. Boot
  
Actual results:

plymouth uses the 'hotdog' theme
firstboot shows 'hotdog' logo
gdm uses wrong theme etc...

Expected results:

No hotdog for final release ;)

Additional info:
Comment 1 Paul W. Frields 2010-10-15 11:19:55 EDT
Infidel, thou shalt not usurp the reign of the Hot Dog.
Comment 2 Bruno Wolff III 2010-10-15 12:49:15 EDT
One idea that came up in the blocker meeting was the possibility of having generic-logos conflict with fedora-logos with a lower version. This would prevent systems from switching to generic-logos by mistake. I don't think it would help when to composes (e.g. running livecd-creator). But the conflicts should get the issue noticed if there is an accident. I am not sure if there are significant downsides to doing this. It might complicate testing in some cases.
Comment 3 Tom "spot" Callaway 2010-10-15 15:14:58 EDT
This is really a bug in generic-logos, to be honest. I'll set a high release on fedora-logos to prevent it from happening trivially.
Comment 4 James Laska 2010-10-15 15:31:29 EDT
(In reply to comment #3)
> This is really a bug in generic-logos, to be honest. I'll set a high release on
> fedora-logos to prevent it from happening trivially.

What do you recommend as the correct fix against generic-logos?
Comment 5 Fedora Update System 2010-10-15 15:44:05 EDT
fedora-logos-14.0.1-500.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-logos-14.0.1-500.fc14
Comment 6 Tom "spot" Callaway 2010-10-15 16:22:05 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > This is really a bug in generic-logos, to be honest. I'll set a high release on
> > fedora-logos to prevent it from happening trivially.
> 
> What do you recommend as the correct fix against generic-logos?

Honestly? I recommend that the maintainer of that package make sure that they never have a higher N-V-R than fedora-logos.
Comment 7 Fedora Update System 2010-10-17 11:42:50 EDT
fedora-logos-14.0.1-500.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-logos'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-logos-14.0.1-500.fc14
Comment 8 Fedora Update System 2010-10-19 05:13:08 EDT
fedora-logos-14.0.1-500.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.